com.holonplatform.vaadin.flow.components.builders

## Interface HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D,C>>

- Type Parameters:
    `F` - Filter type
    `C` - Concrete configurator type
  All Superinterfaces:
    HasFilterableDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,F,C>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,C>
  All Known Subinterfaces:
    SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D,C>, SelectModeSingleSelectInputBuilder.ValidatablePropertySelectModeSingleSelectInputBuilder<T>

      public interface HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D,C>>
      extends HasFilterableDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,F,C>

  `HasFilterableDataProviderConfigurator` with `Datastore` configuration support and using `PropertyBox` type items.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<P extends com.holonplatform.core.property.Property> D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Function<F,com.holonplatform.core.query.QueryFilter> filterConverter, Iterable<P> properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
    `default D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Function<F,com.holonplatform.core.query.QueryFilter> filterConverter, com.holonplatform.core.property.Property<?>... properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemsConfigurator

      `addItem, items, items`

- - ### Method Detail

    - #### dataSource

          <P extends com.holonplatform.core.property.Property> D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                            com.holonplatform.core.datastore.DataTarget<?> target,
                                                                            Function<F,com.holonplatform.core.query.QueryFilter> filterConverter,
                                                                            Iterable<P> properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `filterConverter` - Data provider filter type to `QueryFilter` converter (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          default D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                               com.holonplatform.core.datastore.DataTarget<?> target,
                               Function<F,com.holonplatform.core.query.QueryFilter> filterConverter,
                               com.holonplatform.core.property.Property<?>... properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `filterConverter` - Data provider filter type to `QueryFilter` converter (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.